//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace WordsBooklet.BusinessLayer.Models
{
    using System;
    using System.Collections.ObjectModel;
    
    public partial class VerbsHeader
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public VerbsHeader()
        {
            this.VerbsDetails = new ObservableCollection<VerbsDetail>();
        }
    
        public long Id { get; set; }
        public string Name { get; set; }
        public string Remarks { get; set; }
        public short VerbsCount { get; set; }
        public long WordbookId { get; set; }
        public System.DateTime CreationDateTime { get; set; }
        public byte PronunciationTimes { get; set; }
        public System.DateTime LastUpdateDateTime { get; set; }
    
        public virtual Wordbook Wordbook { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ObservableCollection<VerbsDetail> VerbsDetails { get; set; }
    }
}
